## linux-siduction 5.3

=== drivers/net/appletalk/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
# Makefile for drivers/net/appletalk
#

obj-$(CONFIG_IPDDP) += ipddp.o
obj-$(CONFIG_LTPC) += ltpc.o

=== drivers/video/fbdev/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Makefile for the Linux video drivers.
# 5 Aug 1999, James Simmons, <mailto:jsimmons@users.sf.net>
# Rewritten to use lists instead of if-statements.

# Each configuration option enables a list of files.

obj-y				+= core/

obj-$(CONFIG_FB_MACMODES)      += macmodes.o
obj-$(CONFIG_FB_WMT_GE_ROPS)   += wmt_ge_rops.o

# Hardware specific drivers go first
obj-$(CONFIG_FB_AMIGA)            += amifb.o c2p_planar.o
obj-$(CONFIG_FB_ARC)              += arcfb.o
obj-$(CONFIG_FB_CLPS711X)	  += clps711x-fb.o
obj-$(CONFIG_FB_CYBER2000)        += cyber2000fb.o
obj-$(CONFIG_FB_GRVGA)            += grvga.o
obj-$(CONFIG_FB_PM2)              += pm2fb.o
obj-$(CONFIG_FB_PM3)		  += pm3fb.o

obj-$(CONFIG_FB_I740)		  += i740fb.o
obj-$(CONFIG_FB_MATROX)		  += matrox/
obj-$(CONFIG_FB_ATY)		  += aty/ macmodes.o
obj-$(CONFIG_FB_ATY128)		  += aty/ macmodes.o
obj-$(CONFIG_FB_RADEON)		  += aty/
obj-$(CONFIG_FB_SIS)		  += sis/
obj-$(CONFIG_FB_VIA)		  += via/
obj-$(CONFIG_FB_KYRO)             += kyro/
obj-$(CONFIG_FB_SAVAGE)		  += savage/
obj-$(CONFIG_FB_GEODE)		  += geode/
obj-$(CONFIG_FB_MBX)		  += mbx/
obj-$(CONFIG_FB_NEOMAGIC)         += neofb.o
obj-$(CONFIG_FB_3DFX)             += tdfxfb.o
obj-$(CONFIG_FB_CONTROL)          += controlfb.o
obj-$(CONFIG_FB_PLATINUM)         += platinumfb.o
obj-$(CONFIG_FB_VALKYRIE)         += valkyriefb.o
obj-$(CONFIG_FB_CT65550)          += chipsfb.o
obj-$(CONFIG_FB_IMSTT)            += imsttfb.o
obj-$(CONFIG_FB_FM2)              += fm2fb.o
obj-$(CONFIG_FB_VT8623)           += vt8623fb.o
obj-$(CONFIG_FB_TRIDENT)          += tridentfb.o
obj-$(CONFIG_FB_LE80578)          += vermilion/
obj-$(CONFIG_FB_S3)               += s3fb.o
obj-$(CONFIG_FB_ARK)              += arkfb.o
obj-$(CONFIG_FB_STI)              += stifb.o
obj-$(CONFIG_FB_FFB)              += ffb.o sbuslib.o
obj-$(CONFIG_FB_CG6)              += cg6.o sbuslib.o
obj-$(CONFIG_FB_CG3)              += cg3.o sbuslib.o
obj-$(CONFIG_FB_BW2)              += bw2.o sbuslib.o
obj-$(CONFIG_FB_CG14)             += cg14.o sbuslib.o
obj-$(CONFIG_FB_P9100)            += p9100.o sbuslib.o
obj-$(CONFIG_FB_TCX)              += tcx.o sbuslib.o
obj-$(CONFIG_FB_LEO)              += leo.o sbuslib.o
obj-$(CONFIG_FB_ACORN)            += acornfb.o
obj-$(CONFIG_FB_ATARI)            += atafb.o c2p_iplan2.o atafb_mfb.o \
                                     atafb_iplan2p2.o atafb_iplan2p4.o atafb_iplan2p8.o
obj-$(CONFIG_FB_MAC)              += macfb.o
obj-$(CONFIG_FB_HECUBA)           += hecubafb.o
obj-$(CONFIG_FB_N411)             += n411.o
obj-$(CONFIG_FB_HGA)              += hgafb.o
obj-$(CONFIG_FB_XVR500)           += sunxvr500.o
obj-$(CONFIG_FB_XVR2500)          += sunxvr2500.o
obj-$(CONFIG_FB_XVR1000)          += sunxvr1000.o
obj-$(CONFIG_FB_APOLLO)           += dnfb.o
obj-$(CONFIG_FB_Q40)              += q40fb.o
obj-$(CONFIG_FB_TGA)              += tgafb.o
obj-$(CONFIG_FB_HP300)            += hpfb.o
obj-$(CONFIG_FB_G364)             += g364fb.o
obj-$(CONFIG_FB_EP93XX)		  += ep93xx-fb.o
obj-$(CONFIG_FB_SA1100)           += sa1100fb.o
obj-$(CONFIG_FB_HIT)              += hitfb.o
obj-$(CONFIG_FB_ATMEL)		  += atmel_lcdfb.o
obj-$(CONFIG_FB_PVR2)             += pvr2fb.o
obj-$(CONFIG_FB_VOODOO1)          += sstfb.o
obj-$(CONFIG_FB_ARMCLCD)	  += amba-clcd.o
obj-$(CONFIG_FB_GOLDFISH)         += goldfishfb.o
obj-$(CONFIG_FB_68328)            += 68328fb.o
obj-$(CONFIG_FB_GBE)              += gbefb.o
obj-$(CONFIG_FB_CIRRUS)		  += cirrusfb.o
obj-$(CONFIG_FB_ASILIANT)	  += asiliantfb.o
obj-$(CONFIG_FB_PXA)		  += pxafb.o
obj-$(CONFIG_FB_PXA168)		  += pxa168fb.o
obj-$(CONFIG_PXA3XX_GCU)	  += pxa3xx-gcu.o
obj-$(CONFIG_MMP_DISP)           += mmp/
obj-$(CONFIG_FB_W100)		  += w100fb.o
obj-$(CONFIG_FB_TMIO)		  += tmiofb.o
obj-$(CONFIG_FB_AU1100)		  += au1100fb.o
obj-$(CONFIG_FB_AU1200)		  += au1200fb.o
obj-$(CONFIG_FB_VT8500)		  += vt8500lcdfb.o
obj-$(CONFIG_FB_WM8505)		  += wm8505fb.o
obj-$(CONFIG_FB_PMAG_AA)	  += pmag-aa-fb.o
obj-$(CONFIG_FB_PMAG_BA)	  += pmag-ba-fb.o
obj-$(CONFIG_FB_PMAGB_B)	  += pmagb-b-fb.o
obj-$(CONFIG_FB_MAXINE)		  += maxinefb.o
obj-$(CONFIG_FB_METRONOME)        += metronomefb.o
obj-$(CONFIG_FB_BROADSHEET)       += broadsheetfb.o
obj-$(CONFIG_FB_S1D13XXX)	  += s1d13xxxfb.o
obj-$(CONFIG_FB_SH7760)		  += sh7760fb.o
obj-$(CONFIG_FB_IMX)              += imxfb.o
obj-$(CONFIG_FB_S3C)		  += s3c-fb.o
obj-$(CONFIG_FB_S3C2410)	  += s3c2410fb.o
obj-$(CONFIG_FB_FSL_DIU)	  += fsl-diu-fb.o
obj-$(CONFIG_FB_COBALT)           += cobalt_lcdfb.o
obj-$(CONFIG_FB_IBM_GXT4500)	  += gxt4500.o
obj-$(CONFIG_FB_PS3)		  += ps3fb.o
obj-$(CONFIG_FB_SM501)            += sm501fb.o
obj-$(CONFIG_FB_UDL)		  += udlfb.o
obj-$(CONFIG_FB_SMSCUFX)	  += smscufx.o
obj-$(CONFIG_FB_XILINX)           += xilinxfb.o
obj-$(CONFIG_FB_SH_MOBILE_LCDC)	  += sh_mobile_lcdcfb.o
obj-$(CONFIG_FB_OMAP)             += omap/
obj-y                             += omap2/
obj-$(CONFIG_XEN_FBDEV_FRONTEND)  += xen-fbfront.o
obj-$(CONFIG_FB_CARMINE)          += carminefb.o
obj-$(CONFIG_FB_MB862XX)	  += mb862xx/
obj-$(CONFIG_FB_NUC900)           += nuc900fb.o
obj-$(CONFIG_FB_JZ4740)		  += jz4740_fb.o
obj-$(CONFIG_FB_PUV3_UNIGFX)      += fb-puv3.o
obj-$(CONFIG_FB_HYPERV)		  += hyperv_fb.o
obj-$(CONFIG_FB_OPENCORES)	  += ocfb.o
obj-$(CONFIG_FB_SM712)		  += sm712fb.o

# Platform or fallback drivers go here
obj-$(CONFIG_FB_UVESA)            += uvesafb.o
obj-$(CONFIG_FB_VESA)             += vesafb.o
obj-$(CONFIG_FB_EFI)              += efifb.o
obj-$(CONFIG_FB_VGA16)            += vga16fb.o
obj-$(CONFIG_FB_OF)               += offb.o
obj-$(CONFIG_FB_MX3)		  += mx3fb.o
obj-$(CONFIG_FB_DA8XX)		  += da8xx-fb.o
obj-$(CONFIG_FB_SSD1307)	  += ssd1307fb.o
obj-$(CONFIG_FB_SIMPLE)           += simplefb.o

# the test framebuffer is last
obj-$(CONFIG_FB_VIRTUAL)          += vfb.o

## linux-siduction 4.19

=== debian/changelog ===
linux-siduction (4.19-18~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * debian/config/defines:
    - add i386 architecture.
    - use gcc-6 instead of gcc-8
    - simplify ABI to just 2.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Nov 2018 11:39:45 -0800

linux-siduction (4.19-18) unstable; urgency=medium

  * set ABI to towo.2
  * import patch-4.19.5-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 26 Nov 2018 13:28:11 +0100

linux-siduction (4.19-17) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.19.4 https://kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.4

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 23 Nov 2018 12:55:25 +0100

linux-siduction (4.19-16) unstable; urgency=medium

  * set ABI to towo.2
  * import patch-4.19.4-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 22 Nov 2018 08:38:02 +0100

linux-siduction (4.19-15) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.19.3

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 21 Nov 2018 13:55:03 +0100

linux-siduction (4.19-13) unstable; urgency=medium

  * fix debian/rules for upcomming kernel 4.20

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 19 Nov 2018 18:34:43 +0100

linux-siduction (4.19-12) unstable; urgency=medium

  * put arch/x86/kernel/macros.s to the header package, it's needed for some 3rd party kernel modules in 4.20
  * set ABI to towo.2
  * import patch-4.19.3-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 19 Nov 2018 17:47:29 +0100

linux-siduction (4.19-10) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.19.2
  * switvh to gcc-8

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 14 Nov 2018 19:42:11 +0100

linux-siduction (4.19-9) unstable; urgency=medium

  * set ABI to towo.2
  * import patch-4.19.2-rc1
  * reenable can devices (https://forum.siduction.org/index.php?topic=7437.msg60388#msg60388)

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 12 Nov 2018 21:27:01 +0100

linux-siduction (4.19-8) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.19.1

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 04 Nov 2018 16:48:47 +0100

linux-siduction (4.19-7) unstable; urgency=medium

  * set ABI to towo.6
  * import patch-4.19.1-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 02 Nov 2018 21:51:53 +0100

linux-siduction (4.19-6) unstable; urgency=medium

  * set ABI to towo.5
  * some other i2c changes

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 31 Oct 2018 13:31:50 +0100

linux-siduction (4.19-5) unstable; urgency=medium

  * set ABI to towo.4
  * set some i2c_designware configs

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 31 Oct 2018 12:12:40 +0100

linux-siduction (4.19-4) unstable; urgency=medium

  * fix ABI
  * set ABI to towo.3
  * CONFIG_HID_ELAN=m

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 30 Oct 2018 21:51:05 +0100

linux-siduction (4.19-3) unstable; urgency=medium

  * set ABI to towo.3
  * patch elan_12c for ELAN061E device

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 30 Oct 2018 20:23:54 +0100

linux-siduction (4.19-2) unstable; urgency=medium

  * set ABI to towo.2
  * change kernel-config:
    - CONFIG_VBOXGUEST=m
    - CONFIG_DRM_VBOXVIDEO=m

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Oct 2018 17:42:07 +0100

linux-siduction (4.19-1) unstable; urgency=medium

  * set ABI to towo.1
  * linux-4.19.0

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 23 Oct 2018 07:42:29 +0200

linux-siduction (4.18-20) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.16

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 21 Oct 2018 13:08:30 +0200

linux-siduction (4.18-19) unstable; urgency=medium

  * set ABI to towo.2
  * import patch-4.18.16-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 19 Oct 2018 08:39:02 +0200

linux-siduction (4.18-18) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.15

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 18 Oct 2018 15:10:18 +0200

linux-siduction (4.18-17) unstable; urgency=medium

  * set ABI to towo.1
  * fix versioning to pointrelease 14

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 15 Oct 2018 08:21:34 +0200

linux-siduction (4.18-16) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.14

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 14 Oct 2018 14:08:09 +0200

linux-siduction (4.18-15) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.13

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 11 Oct 2018 09:55:00 +0200

linux-siduction (4.18-14) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.12

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 04 Oct 2018 11:28:16 +0200

linux-siduction (4.18-13) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.11

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 29 Sep 2018 18:05:25 +0200

linux-siduction (4.18-12) unstable; urgency=medium

  * set ABI to towo.2
  * import patch-4.18.11-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 27 Sep 2018 13:19:32 +0200

linux-siduction (4.18-11) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.10

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 26 Sep 2018 12:40:17 +0200

linux-siduction (4.18-10) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.9

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 20 Sep 2018 07:33:08 +0200

linux-siduction (4.18-9) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.8

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 17 Sep 2018 21:08:05 +0200

linux-siduction (4.18-8) unstable; urgency=medium

  * set ABI to towo.2
  * import patch-4.18.8-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 13 Sep 2018 17:40:15 +0200

linux-siduction (4.18-7) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-4.18.7

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 09 Sep 2018 14:18:59 +0200



=== debian/control ===
Source: linux-siduction
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20120115), bc, bison, cpio, flex, libelf-dev, libssl-dev, openssl, python3, xz-utils, gcc-6 [amd64 i386]
Homepage: https://www.kernel.org/
Vcs-Browser: https://git.siduction.org/extra/linux-siduction
Vcs-git: git.siduction.org:extra/linux-siduction
XSBC-Original-Maintainer: Torsten Wohlfarth <towo@siduction.org>

Package: linux-image-4.19.4-2-siduction-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.19, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 4.19 for 64-bit PCs
 The Linux kernel 4.19 and modules for use on PCs with AMD64 or Intel 64
 processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-image-siduction-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-4.19.4-2-siduction-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-siduction-amd64 (= ${binary:Version})
Description: Linux image for siduction on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for siduction.

Package: linux-headers-siduction-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-4.19.4-2-siduction-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for siduction on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for siduction.

Package: linux-headers-4.19.4-2-siduction-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, build-essential, gcc-6
Conflicts: r8168-dkms
Description: Header files for Linux 4.19.4-2-siduction-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.19.4-2-siduction-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.19.4-2-siduction-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.19.4-2-siduction-amd64 package.

Package: linux-image-4.19.4-2-siduction-686
Architecture: i386
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.19, crda [i386], grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [i386], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 4.19 for modern PCs
 The Linux kernel 4.19 and modules for use on PCs with Intel Pentium
 Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom; AMD Geode LX/NX, Athlon
 (K7), Duron, Opteron, Sempron, Turion or Phenom; Transmeta Efficeon; VIA
 C3 "Nehemiah" or C7 processors.

Package: linux-image-siduction-686
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-image-4.19.4-2-siduction-686 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-siduction-686 (= ${binary:Version})
Description: Linux image for siduction on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 siduction.

Package: linux-headers-siduction-686
Architecture: i386
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-4.19.4-2-siduction-686 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for siduction on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 siduction.

Package: linux-headers-4.19.4-2-siduction-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, build-essential, gcc-6
Conflicts: r8168-dkms
Description: Header files for Linux 4.19.4-2-siduction-686
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.19.4-2-siduction-686, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.19.4-2-siduction-686, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.19.4-2-siduction-686 package.

## linux-siduction 5.3

=== debian/changelog ===
linux-siduction (5.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * debian/config/defines: build with gcc instead of gcc-9.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Sep 2019 15:37:00 -0700

linux-siduction (5.3-1~exp2) experimental; urgency=medium

  * set ABI to towo.2
  * import some amdgpu fixes from stable queue:
    - drm-amd-display-allow-cursor-async-updates-for-framebuffer-swaps.patch
    - drm-amd-display-skip-determining-update-type-for-async-updates.patch
    - drm-amd-display-don-t-replace-the-dc_state-for-fast-updates.patch
    - drm-amd-display-readd-msse2-to-prevent-clang-from-emitting-libcalls-to-undefined-sw-fp-routines.patch

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 22 Sep 2019 20:59:21 +0200

linux-siduction (5.3-1~exp1) experimental; urgency=medium

  * set ABI to towo.1
  * import patch-5.3.1

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 21 Sep 2019 16:04:56 +0200

linux-siduction (5.3-0~exp1) experimental; urgency=medium

  * set ABI to towo.1
  * Linux 5.3 release

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 16 Sep 2019 07:52:30 +0200

linux-siduction (5.3~rc8-1~exp1) experimental; urgency=medium

  * linux-5.3-rc8

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 09 Sep 2019 08:12:54 +0200

linux-siduction (5.3~rc7-1~exp1) experimental; urgency=medium

  * linux-5.3-rc7

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 01 Sep 2019 22:07:39 +0200

linux-siduction (5.3~rc6-1~exp1) experimental; urgency=medium

  * linux-5.3-rc6

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 25 Aug 2019 18:01:44 +0200

linux-siduction (5.3~rc5-2~exp1) experimental; urgency=medium

  * fix typo in debian/config/config

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 19 Aug 2019 14:57:21 +0200

linux-siduction (5.3~rc5-1~exp1) experimental; urgency=medium

  * linux-5.3-rc5
  * synced some framebuffer and intel settings with debian

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 19 Aug 2019 07:25:31 +0200

linux-siduction (5.3~rc4-1~exp2) experimental; urgency=medium

  * linux-5.3-rc4

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 10 Aug 2019 17:06:27 +0200

linux-siduction (5.3~rc3-5~exp1) experimental; urgency=medium

  * do a full upload

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 05 Aug 2019 23:48:40 +0200

linux-siduction (5.3~rc3-4~exp1) experimental; urgency=medium

  * fix typo in debian/rules.real

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 05 Aug 2019 15:51:57 +0200

linux-siduction (5.3~rc3-2~exp1) experimental; urgency=medium

  * fix packaging error in linux-image package

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 05 Aug 2019 15:40:29 +0200

linux-siduction (5.3~rc3-1~exp1) experimental; urgency=medium

  * start linux-5.3 testing

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 03 Aug 2019 21:51:24 +0200

linux-siduction (5.2-5.4) unstable; urgency=medium

  * fix config for RTW88
  * set ABI to towo.5

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 03 Aug 2019 20:44:28 +0200

linux-siduction (5.2-5.3) unstable; urgency=medium

  * set ABI to towo.4
  * activate RTW88

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 03 Aug 2019 20:37:34 +0200

linux-siduction (5.2-5.2) unstable; urgency=medium

  * set ABI to towo.3
  * import patch-5.2.6-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 02 Aug 2019 13:07:35 +0200

linux-siduction (5.2-5.1) unstable; urgency=medium

  * set ABI to towo.2
  * CONFIG_OVERLAY_FS_REDIRECT_DIR=y
  * CONFIG_OVERLAY_FS_XINO_AUTO=y

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 31 Jul 2019 20:09:34 +0200

linux-siduction (5.2-5) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.2.5; https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.2.5

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 31 Jul 2019 08:16:33 +0200

linux-siduction (5.2-4.2) unstable; urgency=medium

  * set ABI to towo.3
  * import patch-5.2.5-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 30 Jul 2019 17:29:02 +0200

linux-siduction (5.2-4.1) unstable; urgency=medium

  * set ABI to towo.2
  * reenable missing virtio mdules

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 29 Jul 2019 18:17:28 +0200

linux-siduction (5.2-4) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.2.4
  * upload to unstable
  * add rtl8821ce-dkms to Suggests

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Jul 2019 14:46:47 +0200

linux-siduction (5.1-19) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.1.19

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 22 Jul 2019 07:19:19 +0200

linux-siduction (5.1-18) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.1.18

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 14 Jul 2019 14:19:46 +0200

linux-siduction (5.1-17.1) unstable; urgency=medium

  * set ABI to towo.2
  * import pach-5.1.18-rc1

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 12 Jul 2019 16:40:38 +0200

linux-siduction (5.1-17) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.1.17

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 10 Jul 2019 16:57:20 +0200

linux-siduction (5.1-16) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.1.16; https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.1.16

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 03 Jul 2019 17:43:35 +0200

linux-siduction (5.1-15) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.1.15; https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.1.15

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 25 Jun 2019 08:14:46 +0200

linux-siduction (5.1-14) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.1.14; https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.1.14

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 22 Jun 2019 18:31:53 +0200

linux-siduction (5.1-13) unstable; urgency=medium

  * set ABI to towo.1
  * import patch-5.1.13



=== debian/control ===
Source: linux-siduction
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20120115), bc, bison, cpio, flex, libelf-dev, libssl-dev, openssl, python3, xz-utils, gcc [amd64]
Homepage: https://www.kernel.org/
Vcs-Browser: https://git.siduction.org/extra/linux-siduction
Vcs-git: git.siduction.org:extra/linux-siduction
XSBC-Original-Maintainer: Torsten Wohlfarth <towo@siduction.org>

Package: linux-image-5.3.1-towo.2-siduction-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-5.3, crda [amd64], rtl8821ce-dkms [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal
Description: Linux 5.3 for 64-bit PCs
 The Linux kernel 5.3 and modules for use on PCs with AMD64 or Intel 64
 processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-image-siduction-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-5.3.1-towo.2-siduction-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-siduction-amd64 (= ${binary:Version})
Description: Linux image for siduction on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for siduction.

Package: linux-headers-siduction-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-5.3.1-towo.2-siduction-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for siduction on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for siduction.

Package: linux-headers-5.3.1-towo.2-siduction-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, build-essential, gcc
Conflicts: r8168-dkms
Description: Header files for Linux 5.3.1-towo.2-siduction-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 5.3.1-towo.2-siduction-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-5.3.1-towo.2-siduction-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-5.3.1-towo.2-siduction-amd64 package.

## linux-siduction 6.17

=== drivers/video/fbdev/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 obj-y				+= core/
 
 obj-$(CONFIG_FB_MACMODES)      += macmodes.o
+obj-$(CONFIG_FB_SBUS)          += sbuslib.o
 obj-$(CONFIG_FB_WMT_GE_ROPS)   += wmt_ge_rops.o
 
 # Hardware specific drivers go first
@@ -29,7 +30,6 @@
 obj-$(CONFIG_FB_KYRO)             += kyro/
 obj-$(CONFIG_FB_SAVAGE)		  += savage/
 obj-$(CONFIG_FB_GEODE)		  += geode/
-obj-$(CONFIG_FB_MBX)		  += mbx/
 obj-$(CONFIG_FB_NEOMAGIC)         += neofb.o
 obj-$(CONFIG_FB_3DFX)             += tdfxfb.o
 obj-$(CONFIG_FB_CONTROL)          += controlfb.o
@@ -40,18 +40,17 @@
 obj-$(CONFIG_FB_FM2)              += fm2fb.o
 obj-$(CONFIG_FB_VT8623)           += vt8623fb.o
 obj-$(CONFIG_FB_TRIDENT)          += tridentfb.o
-obj-$(CONFIG_FB_LE80578)          += vermilion/
 obj-$(CONFIG_FB_S3)               += s3fb.o
 obj-$(CONFIG_FB_ARK)              += arkfb.o
 obj-$(CONFIG_FB_STI)              += stifb.o
-obj-$(CONFIG_FB_FFB)              += ffb.o sbuslib.o
-obj-$(CONFIG_FB_CG6)              += cg6.o sbuslib.o
-obj-$(CONFIG_FB_CG3)              += cg3.o sbuslib.o
-obj-$(CONFIG_FB_BW2)              += bw2.o sbuslib.o
-obj-$(CONFIG_FB_CG14)             += cg14.o sbuslib.o
-obj-$(CONFIG_FB_P9100)            += p9100.o sbuslib.o
-obj-$(CONFIG_FB_TCX)              += tcx.o sbuslib.o
-obj-$(CONFIG_FB_LEO)              += leo.o sbuslib.o
+obj-$(CONFIG_FB_FFB)              += ffb.o
+obj-$(CONFIG_FB_CG6)              += cg6.o
+obj-$(CONFIG_FB_CG3)              += cg3.o
+obj-$(CONFIG_FB_BW2)              += bw2.o
+obj-$(CONFIG_FB_CG14)             += cg14.o
+obj-$(CONFIG_FB_P9100)            += p9100.o
+obj-$(CONFIG_FB_TCX)              += tcx.o
+obj-$(CONFIG_FB_LEO)              += leo.o
 obj-$(CONFIG_FB_ACORN)            += acornfb.o
 obj-$(CONFIG_FB_ATARI)            += atafb.o c2p_iplan2.o atafb_mfb.o \
                                      atafb_iplan2p2.o atafb_iplan2p4.o atafb_iplan2p8.o
@@ -73,7 +72,6 @@
 obj-$(CONFIG_FB_ATMEL)		  += atmel_lcdfb.o
 obj-$(CONFIG_FB_PVR2)             += pvr2fb.o
 obj-$(CONFIG_FB_VOODOO1)          += sstfb.o
-obj-$(CONFIG_FB_ARMCLCD)	  += amba-clcd.o
 obj-$(CONFIG_FB_GOLDFISH)         += goldfishfb.o
 obj-$(CONFIG_FB_68328)            += 68328fb.o
 obj-$(CONFIG_FB_GBE)              += gbefb.o
@@ -83,8 +81,6 @@
 obj-$(CONFIG_FB_PXA168)		  += pxa168fb.o
 obj-$(CONFIG_PXA3XX_GCU)	  += pxa3xx-gcu.o
 obj-$(CONFIG_MMP_DISP)           += mmp/
-obj-$(CONFIG_FB_W100)		  += w100fb.o
-obj-$(CONFIG_FB_TMIO)		  += tmiofb.o
 obj-$(CONFIG_FB_AU1100)		  += au1100fb.o
 obj-$(CONFIG_FB_AU1200)		  += au1200fb.o
 obj-$(CONFIG_FB_VT8500)		  += vt8500lcdfb.o
@@ -99,7 +95,6 @@
 obj-$(CONFIG_FB_SH7760)		  += sh7760fb.o
 obj-$(CONFIG_FB_IMX)              += imxfb.o
 obj-$(CONFIG_FB_S3C)		  += s3c-fb.o
-obj-$(CONFIG_FB_S3C2410)	  += s3c2410fb.o
 obj-$(CONFIG_FB_FSL_DIU)	  += fsl-diu-fb.o
 obj-$(CONFIG_FB_COBALT)           += cobalt_lcdfb.o
 obj-$(CONFIG_FB_IBM_GXT4500)	  += gxt4500.o
@@ -109,14 +104,11 @@
 obj-$(CONFIG_FB_SMSCUFX)	  += smscufx.o
 obj-$(CONFIG_FB_XILINX)           += xilinxfb.o
 obj-$(CONFIG_FB_SH_MOBILE_LCDC)	  += sh_mobile_lcdcfb.o
-obj-$(CONFIG_FB_OMAP)             += omap/
+obj-y				  += omap/
 obj-y                             += omap2/
 obj-$(CONFIG_XEN_FBDEV_FRONTEND)  += xen-fbfront.o
 obj-$(CONFIG_FB_CARMINE)          += carminefb.o
 obj-$(CONFIG_FB_MB862XX)	  += mb862xx/
-obj-$(CONFIG_FB_NUC900)           += nuc900fb.o
-obj-$(CONFIG_FB_JZ4740)		  += jz4740_fb.o
-obj-$(CONFIG_FB_PUV3_UNIGFX)      += fb-puv3.o
 obj-$(CONFIG_FB_HYPERV)		  += hyperv_fb.o
 obj-$(CONFIG_FB_OPENCORES)	  += ocfb.o
 obj-$(CONFIG_FB_SM712)		  += sm712fb.o
@@ -127,8 +119,6 @@
 obj-$(CONFIG_FB_EFI)              += efifb.o
 obj-$(CONFIG_FB_VGA16)            += vga16fb.o
 obj-$(CONFIG_FB_OF)               += offb.o
-obj-$(CONFIG_FB_MX3)		  += mx3fb.o
-obj-$(CONFIG_FB_DA8XX)		  += da8xx-fb.o
 obj-$(CONFIG_FB_SSD1307)	  += ssd1307fb.o
 obj-$(CONFIG_FB_SIMPLE)           += simplefb.o

=== debian/changelog ===
linux-siduction (6.17-8) unstable; urgency=medium

  * import patch-6.17.8; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.8

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 14 Nov 2025 00:31:41 +0100

linux-siduction (6.17-7) unstable; urgency=medium

  * import patch-6.17.7; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.7

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 02 Nov 2025 19:17:29 +0100

linux-siduction (6.17-6) unstable; urgency=medium

  * import patch-6.17.6; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.6

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 29 Oct 2025 18:33:37 +0100

linux-siduction (6.17-5) unstable; urgency=medium

  * import patch-6.17.5; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.5

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 23 Oct 2025 17:24:28 +0200

linux-siduction (6.17-4) unstable; urgency=medium

  * import patch-6.17.4; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.4

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 19 Oct 2025 22:54:15 +0200

linux-siduction (6.17-3) unstable; urgency=medium

  * import patch-6.17.3; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.3

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 15 Oct 2025 18:41:14 +0200

linux-siduction (6.17-2) unstable; urgency=medium

  * import patch-6.17.2; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.2
  * upload to unstable

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 12 Oct 2025 23:40:55 +0200

linux-siduction (6.17-1~exp1) experimental; urgency=medium

  * import patch-6.17.1; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.1

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 06 Oct 2025 13:10:42 +0200

linux-siduction (6.17-0~exp1) experimental; urgency=medium

  * upstream release kernel

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 29 Sep 2025 16:48:08 +0200

linux-siduction (6.17~rc7-1~exp1) experimental; urgency=medium

  * linux-6.17-rc7

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 22 Sep 2025 12:39:21 +0200

linux-siduction (6.17~rc6-1~exp1) experimental; urgency=medium

  * linux-6.17-rc6

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 15 Sep 2025 10:04:29 +0200

linux-siduction (6.17~rc5-1~exp1) experimental; urgency=medium

  * start linux 6.17 packaging

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 08 Sep 2025 19:30:57 +0200

linux-siduction (6.16-5) unstable; urgency=medium

  * import patch-6.16.5; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.16.5

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 04 Sep 2025 23:05:35 +0200

linux-siduction (6.16-4) unstable; urgency=medium

  * import patch-6.16.4; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.16.4

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 31 Aug 2025 17:56:34 +0200

linux-siduction (6.16-3.2) unstable; urgency=medium

  * fix bugfix/fix_intel_oc_wdt.patch

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 25 Aug 2025 22:00:00 +0200

linux-siduction (6.16-3.1) unstable; urgency=medium

  * add bugfix/fix_intel_oc_wdt.patch

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 25 Aug 2025 15:26:41 +0200

linux-siduction (6.16-3) unstable; urgency=medium

  * import patch-6.16.3; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.16.3

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 23 Aug 2025 20:19:28 +0200

linux-siduction (6.16-2) unstable; urgency=medium

  * import patch-6.16.2; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.16.2
  * build with gcc-15
  * upload to unstable

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 21 Aug 2025 13:04:46 +0200

linux-siduction (6.16-1~exp2) experimental; urgency=medium

  * import patch-6.16.1; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.16.1
  * set CONFIG_IWLMLD=m

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 16 Aug 2025 15:32:46 +0200

linux-siduction (6.16-0~exp1) experimental; urgency=medium

  * linux-6.16 release

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 28 Jul 2025 12:08:07 +0200

linux-siduction (6.16~rc7-1~exp1) experimental; urgency=medium

  * linux-6.16-rc7

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 21 Jul 2025 10:49:59 +0200

linux-siduction (6.16~rc6-1~exp1) experimental; urgency=medium

  * linux-6.16-rc6

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 14 Jul 2025 08:58:58 +0200

linux-siduction (6.16~rc5-1~exp1) experimental; urgency=medium

  * linux-6.16-rc5

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 06 Jul 2025 23:58:28 +0200

linux-siduction (6.16~rc4-1~exp1) experimental; urgency=medium

  * start linux-6-16 packaging

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 03 Jul 2025 23:24:58 +0200

linux-siduction (6.15-4) unstable; urgency=medium

  * import patch-6.15.4; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.15.4

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 29 Jun 2025 13:48:13 +0200

linux-siduction (6.15-3) unstable; urgency=medium

  * import patch-6.15.3; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.15.3
  * upload to unstable

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 19 Jun 2025 22:06:26 +0200

linux-siduction (6.15-2~exp1) experimental; urgency=medium

  * import patch-6.15.2; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.15.2

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 12 Jun 2025 09:02:20 +0200

linux-siduction (6.15-1~exp1) experimental; urgency=medium

  * import patch-6.15.1; Changelog: https://cdn.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.15.1

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 04 Jun 2025 15:39:41 +0200

linux-siduction (6.15-0~exp1) experimental; urgency=medium

  * linux-6.15 release

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 26 May 2025 19:54:10 +0200



=== debian/control ===
Source: linux-siduction
Section: kernel
Priority: optional
Maintainer: Torsten Wohlfarth <towo@siduction.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20120115), bc, bison, cpio, flex, libelf-dev, libssl-dev, openssl, python3, libzstd-dev, zstd, xz-utils, gcc-15 [amd64]
Homepage: https://www.kernel.org/
Vcs-Browser: https://git.siduction.org/extra/linux-siduction
Vcs-git: git.siduction.org:extra/linux-siduction

Package: linux-image-6.17.8-1-siduction-amd64
Architecture: amd64
Provides: wireguard-modules (= 1.0.0)
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.121~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-6.17, grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.121~)
Conflicts: r8168-dkms, hal, rtl8821ce-dkms
Description: Linux 6.17 for 64-bit PCs
 The Linux kernel 6.17 and modules for use on PCs with AMD64 or Intel 64
 processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-image-siduction-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-6.17.8-1-siduction-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-siduction-amd64 (= ${binary:Version})
Description: Linux image for siduction on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for siduction.

Package: linux-headers-siduction-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-6.17.8-1-siduction-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for siduction on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for siduction.

Package: linux-headers-6.17.8-1-siduction-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, build-essential, gcc-15
Conflicts: r8168-dkms, rtl8821ce-dkms
Description: Header files for Linux 6.17.8-1-siduction-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.17.8-1-siduction-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.17.8-1-siduction-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.17.8-1-siduction-amd64 package.
